Bug 64517 - several choices listed by xscreensaver are not installed
several choices listed by xscreensaver are not installed
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: xscreensaver (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-06 21:16 EDT by Ed Halley
Modified: 2014-03-16 22:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-05-06 21:16:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ed Halley 2002-05-06 21:16:38 EDT
Description of Problem:
  Under GNOME, several screen saver choices listed by the xscreensaver-demo
program are not in fact included in the installation.  Each such choice causes
the xscreensaver-demo program to give a black screen with an error message
saying it could not execute the given choice.

The list of missing screen saver choices:
  extrusion
  xdaliclock
  xearth
  ssystem
  xmountains
  xaos
  xfishtank
  goban
  electricsheep
  cosmos

No such programs exist with a typical GNOME installation.  No such
individualized packages appear by these names on the five Valhalla discs.  If
these are in an extended screen saver bonus package, this was not installed nor
 made clear anywhere in the documentation.

Expected Resolution:
  Either include all the xscreensaver choices in the installation, or redact the
default list of available xscreensaver choices to match the distribution.  An
upstream solution would be to make xscreensaver automatically remove or hide
choices which are not actually present on the system.
Comment 1 Bill Nottingham 2002-06-12 02:41:38 EDT
This is fixed in 4.05-1.

Note You need to log in before you can comment on or make changes to this bug.